diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/antenna/test/test-cosine-antenna.cc ns-3.42/src/antenna/test/test-cosine-antenna.cc
--- ns-3.41/src/antenna/test/test-cosine-antenna.cc	2024-02-09 14:44:07.849789600 -0800
+++ ns-3.42/src/antenna/test/test-cosine-antenna.cc	2024-05-29 15:29:46.916073000 -0700
@@ -650,77 +650,77 @@
                                        0,
                                        -6,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(140)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(60)),
                                                60,
                                                0,
                                                10,
                                                7,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(60)),
                                                60,
                                                0,
                                                22,
                                                16,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(60)),
                                                60,
                                                0,
                                                -4,
                                                -10,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(60)),
                                                60,
                                                0,
                                                10,
                                                -13,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(60)),
                                                60,
                                                0,
                                                -20,
                                                -43,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(100), DegreesToRadians(60)),
                                                60,
                                                0,
                                                40,
                                                17,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(40)),
                                                100,
                                                -150,
                                                2,
                                                -1,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(40)),
                                                100,
                                                -150,
                                                4,
                                                -2,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(40)),
                                                100,
                                                -150,
                                                -1,
                                                -7,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/antenna/test/test-degrees-radians.cc ns-3.42/src/antenna/test/test-degrees-radians.cc
--- ns-3.41/src/antenna/test/test-degrees-radians.cc	2024-02-09 14:44:07.849789600 -0800
+++ ns-3.42/src/antenna/test/test-degrees-radians.cc	2024-05-29 15:29:46.916073000 -0700
@@ -138,23 +138,23 @@
 };
 
 DegreesRadiansTestSuite::DegreesRadiansTestSuite()
-    : TestSuite("degrees-radians", UNIT)
+    : TestSuite("degrees-radians", Type::UNIT)
 {
-    AddTestCase(new DegreesToRadiansTestCase(0, 0), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(90, M_PI_2), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(180, M_PI), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(270, M_PI + M_PI_2), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(360, M_PI + M_PI), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(-90, -M_PI_2), TestCase::QUICK);
-    AddTestCase(new DegreesToRadiansTestCase(810, 4.5 * M_PI), TestCase::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(0, 0), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(90, M_PI_2), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(180, M_PI), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(270, M_PI + M_PI_2), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(360, M_PI + M_PI), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(-90, -M_PI_2), TestCase::Duration::QUICK);
+    AddTestCase(new DegreesToRadiansTestCase(810, 4.5 * M_PI), TestCase::Duration::QUICK);
 
-    AddTestCase(new RadiansToDegreesTestCase(0, 0), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(M_PI_2, 90), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(M_PI, 180), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(M_PI + M_PI_2, 270), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(M_PI + M_PI, 360), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(-M_PI_2, -90), TestCase::QUICK);
-    AddTestCase(new RadiansToDegreesTestCase(4.5 * M_PI, 810), TestCase::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(0, 0), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(M_PI_2, 90), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(M_PI, 180), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(M_PI + M_PI_2, 270), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(M_PI + M_PI, 360), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(-M_PI_2, -90), TestCase::Duration::QUICK);
+    AddTestCase(new RadiansToDegreesTestCase(4.5 * M_PI, 810), TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/antenna/test/test-isotropic-antenna.cc ns-3.42/src/antenna/test/test-isotropic-antenna.cc
--- ns-3.41/src/antenna/test/test-isotropic-antenna.cc	2024-02-09 14:44:07.849789600 -0800
+++ ns-3.42/src/antenna/test/test-isotropic-antenna.cc	2024-05-29 15:29:46.916073000 -0700
@@ -94,17 +94,23 @@
 };
 
 IsotropicAntennaModelTestSuite::IsotropicAntennaModelTestSuite()
-    : TestSuite("isotropic-antenna-model", UNIT)
+    : TestSuite("isotropic-antenna-model", Type::UNIT)
 {
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, 0), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, M_PI), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, M_PI_2), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, 0), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, M_PI), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, M_PI_2), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, 0), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, M_PI), 0.0), TestCase::QUICK);
-    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, M_PI_2), 0.0), TestCase::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, 0), 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, M_PI), 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(0, M_PI_2), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, 0), 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, M_PI), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI, M_PI_2), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, 0), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, M_PI), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new IsotropicAntennaModelTestCase(Angles(M_PI_2, M_PI_2), 0.0),
+                TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/antenna/test/test-parabolic-antenna.cc ns-3.42/src/antenna/test/test-parabolic-antenna.cc
--- ns-3.41/src/antenna/test/test-parabolic-antenna.cc	2024-02-09 14:44:07.849789600 -0800
+++ ns-3.42/src/antenna/test/test-parabolic-antenna.cc	2024-05-29 15:29:46.916073000 -0700
@@ -152,7 +152,7 @@
 };
 
 ParabolicAntennaModelTestSuite::ParabolicAntennaModelTestSuite()
-    : TestSuite("parabolic-antenna-model", UNIT)
+    : TestSuite("parabolic-antenna-model", Type::UNIT)
 {
     // with a 60 deg beamwidth, gain is -20dB at +-77.460 degrees from boresight
     //                                                                         phi, theta,
@@ -166,7 +166,7 @@
                                                   20,
                                                   0,
                                                   EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                           60,
@@ -174,7 +174,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                           60,
@@ -182,7 +182,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(90)),
                                           60,
@@ -190,7 +190,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                           60,
@@ -198,7 +198,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(100), DegreesToRadians(90)),
                                           60,
@@ -206,7 +206,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(150), DegreesToRadians(90)),
                                           60,
@@ -214,7 +214,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(180), DegreesToRadians(90)),
                                           60,
@@ -222,7 +222,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(90)),
                                           60,
@@ -230,7 +230,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(90)),
                                           60,
@@ -238,7 +238,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-180), DegreesToRadians(90)),
                                           60,
@@ -246,7 +246,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // with a 60 deg beamwidth, gain is -10dB at +-54.772 degrees from boresight
     // test positive orientation
@@ -257,7 +257,7 @@
                                           10,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                           60,
@@ -265,7 +265,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                           60,
@@ -273,7 +273,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                           60,
@@ -281,7 +281,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(150), DegreesToRadians(90)),
                                           60,
@@ -289,7 +289,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(160), DegreesToRadians(90)),
                                           60,
@@ -297,7 +297,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(210), DegreesToRadians(90)),
                                           60,
@@ -305,7 +305,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(240), DegreesToRadians(90)),
                                           60,
@@ -313,7 +313,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-40), DegreesToRadians(90)),
                                           60,
@@ -321,7 +321,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(90)),
                                           60,
@@ -329,7 +329,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-120), DegreesToRadians(90)),
                                           60,
@@ -337,7 +337,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // test negative orientation and different beamwidths
     // with a 80 deg beamwidth, gain is -20dB at +- 73.030 degrees from boresight
@@ -348,7 +348,7 @@
                                           10,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-110), DegreesToRadians(90)),
                                           80,
@@ -356,7 +356,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-190), DegreesToRadians(90)),
                                           80,
@@ -364,7 +364,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-70), DegreesToRadians(90)),
                                           80,
@@ -372,7 +372,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(92), DegreesToRadians(90)),
                                           80,
@@ -380,7 +380,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                           80,
@@ -388,14 +388,14 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(90)),
                                                   80,
                                                   -150,
                                                   10,
                                                   -10,
                                                   EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(60), DegreesToRadians(90)),
                                           80,
@@ -403,7 +403,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                           80,
@@ -411,7 +411,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                           80,
@@ -419,7 +419,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // test elevation angle
     AddTestCase(new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(88)),
@@ -428,7 +428,7 @@
                                                   20,
                                                   0,
                                                   EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(88)),
                                           60,
@@ -436,7 +436,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(88)),
                                           60,
@@ -444,7 +444,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(88)),
                                           60,
@@ -452,7 +452,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-180), DegreesToRadians(88)),
                                           60,
@@ -460,7 +460,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(60), DegreesToRadians(93)),
                                           60,
@@ -468,7 +468,7 @@
                                           20,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(93)),
                                           60,
@@ -476,7 +476,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(93)),
                                           60,
@@ -484,7 +484,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-120), DegreesToRadians(93)),
                                           60,
@@ -492,7 +492,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(93)),
                                           100,
@@ -500,7 +500,7 @@
                                           10,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(93)),
                                           100,
@@ -508,7 +508,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(93)),
                                           100,
@@ -516,7 +516,7 @@
                                           10,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(93)),
                                           100,
@@ -524,7 +524,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(80.5)),
                                           100,
@@ -532,7 +532,7 @@
                                           10,
                                           -10,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(80.5)),
                                           60,
@@ -540,7 +540,7 @@
                                           20,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(80.5)),
                                           60,
@@ -548,7 +548,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(80.5)),
                                           60,
@@ -556,7 +556,7 @@
                                           20,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(100), DegreesToRadians(80.5)),
                                           60,
@@ -564,7 +564,7 @@
                                           20,
                                           -20,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(80.5)),
                                           100,
@@ -572,7 +572,7 @@
                                           30,
                                           0,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(80.5)),
                                           100,
@@ -580,7 +580,7 @@
                                           30,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new ParabolicAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(80.5)),
                                           100,
@@ -588,7 +588,7 @@
                                           30,
                                           -3,
                                           EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
